Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QToolBarSwitchEvent Class Reference

The QToolBarSwitchEvent class provides an event that is sent whenever a the toolbar button is clicked on Mac OS X. More...

    #include <QToolBarSwitchEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QToolBarSwitchEvent ( int state )
- Qt::ButtonState state () const

- 2 public functions inherited from QEvent

## Detailed Description

The QToolBarSwitchEvent class provides an event that is sent whenever a the toolbar button is clicked on Mac OS X.

The QToolBarSwitchEvent is sent when the toolbar button is clicked. On Mac OS X, this is the long oblong button on the right side of the window titlebar. The default implementation is to toggle the appearance (hidden or shown) of the associated toolbars for the window.

## Member Function Documentation

### QToolBarSwitchEvent::QToolBarSwitchEvent ( int state )

### Qt::ButtonState QToolBarSwitchEvent::state () const